Mail::Filter(3)

NAME
Mail::Filter - Filter mail through multiple subroutines

SYNOPSIS
    use Mail::Filter;

    $filter = new Mail::Filter( \&filter1, \&filter2 );

    $mail = new Mail::Internet( [<>] );
    $mail = $filter->filter($mail);

    $folder = new Mail::Folder( .... );
    $filter->filter($folder);

DESCRIPTION
"Mail::Filter" provides an interface to filtering Email through multiple subroutines.

"Mail::Filter" filters mail by calling each filter subroutine in turn. Each filter subroutine is called with two arguments, the first is the filter object and the second is the mail or folder object being filtered.

The result from each filter sub is passed to the next filter as the mail object. If a filter subroutine returns undef, then "Mail::Filter" will abort and return immediately.

The function returns the result from the last subroutine to operate on the mail object.

CONSTRUCTOR

new ( [ FILTER [, ... ]])
    Create a new "Mail::Filter" object with the given filter subroutines. Each filter may be either a code reference or the name of a method to call on the <Mail::Filter> object.

METHODS

add ( FILTER [, FILTER ...] )
    Add the given filters to the end of the fliter list.

filter ( MAIL-OBJECT | MAIL-FOLDER )
    If the first argument is a "Mail::Internet" object, then this object will be passed through the filter list. If the first argument is a "Mail::Folder" object, then each message in turn will be passed through the filter list.

folder
    If the "filter" method is called with a "Mail::Folder" object, then the filter subroutines may call this method to obtain the folder object that is being processed.

msgnum
    If the "filter" method is called with a "Mail::Folder" object, then the filter subroutines may call this method to obtain the message number of the message that is being processed.

SEE ALSO
Mail::Internet Mail::Folder

AUTHOR
Graham Barr.

Maintained by Mark Overmeer <mailtools@overmeer.net>

COPYRIGHT
Copyright (c) 2002-2003 Mark Overmeer, 1995-2001 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.